Get Token Info
curl --request GET \
--url 'https://eth.blockscout.com/api/?module=token&action=getToken'import requests
url = "https://eth.blockscout.com/api/?module=token&action=getToken"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://eth.blockscout.com/api/?module=token&action=getToken', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "1",
"message": "OK",
"result": {
"cataloged": true,
"contractAddress": "0xde0b295669a9fd93d5f28d9ec85e40f4cb697bae",
"decimals": "<string>",
"name": "<string>",
"symbol": "<string>",
"totalSupply": "<string>",
"type": "ERC-20"
}
}Token
Get Token Info
Returns info on name, symbol, supply and type for a token contract address
GET
/
?module=token&action=getToken
Get Token Info
Query Parameters
Module name (must be 'token')
Available options:
token Available options:
getToken Token contract address 40-character hexadecimal address hash with 0x prefix
Pattern:
^0x[a-fA-F0-9]{40}$Example:
"0xde0b295669a9fd93d5f28d9ec85e40f4cb697bae"
Was this page helpful?